#include <bits/stdc++.h>

using namespace std;

int main(){
	string s;
	cin >> s;
	bool zeros = 1;
	for(int i = s.size() - 1; i >= 0; i --){
	if(zeros && s[i] == '0'){
		continue;
	}
	else if(zeros && s[i] != '0'){
		zeros = 0;
	}
	if(s[i] == '2') cout << '5';
	else if(s[i] == '5') cout << '2';
	else cout << s[i];
	}
}
